Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EGit » Is eGit compliant with Eclipse 3.6 ?
Is eGit compliant with Eclipse 3.6 ? [message #664614] Mon, 11 April 2011 07:51 Go to next message
Jerome Correnoz is currently offline Jerome Correnoz
Messages: 80
Registered: July 2009
Member
Hi all,

We have a product based on Eclipse 3.6 and we would like to provide the eGit plugins within our product.

Is eGit officially supported for Eclipse 3.6 ?

Have someone already delivered it successfully in an Helios based product ?

Regards,
Jerome
Re: Is eGit compliant with Eclipse 3.6 ? [message #664619 is a reply to message #664614] Mon, 11 April 2011 08:30 Go to previous messageGo to next message
Manuel Doninger is currently offline Manuel Doninger
Messages: 119
Registered: October 2010
Senior Member
Of course it is compliant with Eclipse Helios, since this is the current stable release.
Re: Is eGit compliant with Eclipse 3.6 ? [message #664625 is a reply to message #664614] Mon, 11 April 2011 08:44 Go to previous messageGo to next message
Stefan Lay is currently offline Stefan Lay
Messages: 340
Registered: July 2009
Senior Member
>
> Is eGit officially supported for Eclipse 3.6 ?

Yes!

The current EGit release always supports the last, the current and the next
Eclipse release. Currently these are Eclipse 3.5, 3.6 and 3.7.
Re: Is eGit compliant with Eclipse 3.6 ? [message #664643 is a reply to message #664625] Mon, 11 April 2011 09:49 Go to previous messageGo to next message
Jerome Correnoz is currently offline Jerome Correnoz
Messages: 80
Registered: July 2009
Member
Thanks for your answers !

I've only found the HTTP update site but in our case, we need to provide a standalone update site.

And do you where to get an archive update site of eGIT ?

Regards,
Jerome


Re: Is eGit compliant with Eclipse 3.6 ? [message #1219601 is a reply to message #664619] Wed, 04 December 2013 15:43 Go to previous messageGo to next message
Mike Oliver is currently offline Mike Oliver
Messages: 2
Registered: December 2013
Junior Member
Manuel Doninger wrote on Mon, 11 April 2011 08:30
Of course it is compliant with Eclipse Helios, since this is the current stable release.


Oh really???

Then how come when I try to install egit on Eclipse 3.6 from update site or marketplace, I get...

Cannot complete the install because one or more required items could not be found.
  Software being installed: Eclipse Git Team Provider 3.1.0.201310021548-r (org.eclipse.egit.feature.group 3.1.0.201310021548-r)
  Missing requirement: Eclipse Git Team Provider 3.1.0.201310021548-r (org.eclipse.egit.feature.group 3.1.0.201310021548-r) requires 'org.eclipse.core.runtime [3.7.0,4.0.0)' but it could not be found


So how about how to install egit on eclipse 3.6 instead of "Of Course it is"

Very Happy
Re: Is eGit compliant with Eclipse 3.6 ? [message #1219749 is a reply to message #1219601] Thu, 05 December 2013 10:54 Go to previous messageGo to next message
Konstantin Komissarchik is currently offline Konstantin Komissarchik
Messages: 937
Registered: July 2009
Senior Member
Mike,

You've picked up a thread from 2011 and expect the answers to still apply to the latest EGit release... Not wise.

The latest release (EGit 3.1) is compatible with Juno and Kepler. To install into Helios, you need to use EGit 2.1 instead. Here is a page with links to all EGit releases and a compatibility table.

http://wiki.eclipse.org/EGit/FAQ#Where_can_I_find_older_releases_of_EGit.3F
Re: Is eGit compliant with Eclipse 3.6 ? [message #1219827 is a reply to message #1219749] Fri, 06 December 2013 01:46 Go to previous messageGo to next message
Mike Oliver is currently offline Mike Oliver
Messages: 2
Registered: December 2013
Junior Member
Wise or not i never said i expected anything. Eclipse 3.6 was in that time frame and specifically referenced. Ok fine 3.1 is not compatible with Helios, got it and fine. However the curt answer "of course" doesnt quite fit with the helios marketplace and your update site cant figure that out. It not worth the trouble. Subversion works just fine without the hassle.
Re: Is eGit compliant with Eclipse 3.6 ? [message #1219844 is a reply to message #1219827] Fri, 06 December 2013 04:05 Go to previous messageGo to next message
Matthias Sohn is currently offline Matthias Sohn
Messages: 548
Registered: July 2009
Senior Member
A solution for this shortcoming of the marketplace, which currently doesn't support to find the solution version
matching your Eclipse version, is discussed here https://bugs.eclipse.org/bugs/show_bug.cgi?id=418865
Re: Is eGit compliant with Eclipse 3.6 ? [message #1228189 is a reply to message #1219601] Mon, 06 January 2014 11:09 Go to previous message
Robin Rosenberg is currently offline Robin Rosenberg
Messages: 317
Registered: July 2009
Senior Member
Mike Oliver skrev 2013-12-04 22.15:
> Manuel Doninger wrote on Mon, 11 April 2011 08:30
>> Of course it is compliant with Eclipse Helios, since this is the current stable release.
>
>
> Oh really???

Notice the date of the reply. That was a year and a half ago. Current release is most
likely not compatible with Helios. EGit is compatible with the current and previous
release, i.e. Juno and Kepler (as of this writing).

-- robin
Previous Topic:TranslationBundleLoadingException
Next Topic:Rollink back the upstream master
Goto Forum:
  


Current Time: Thu Jul 31 07:48:17 EDT 2014

Powered by FUDForum. Page generated in 0.07485 seconds